#include <iostream>
#include <cstdlib>
#include <time.h>
#include <conio.h>
using namespace std;

class Drobi{

	int chisl;
	int znam;
	char*  Name[30];  // выделение памяти под строку 
	
public:
	Drobi(int, int,char*);     // конструктор с параметрами
	Drobi(void);   // констр по умолчанию
	~Drobi();   // диструктор
	Drobi(Drobi &a); // констр копирования
	void setName(char*); // метод, получает указатель на тип чар  (задание строку)
	char* getName();     // возвращает указатель на тип чар  (получение строки)
	
	void Summ();  // сложение
	void Bych();    // вычитание
	void Del();  // деление
	void Ymnj();// умножение
	void Cokr();  // функция сокращения дроби
	void setDrobi(int n, int m);  // ф-я установки новых значений числителя и знаменателя объекта
	
	int getCisl();  // возвращает значение числ
	int getZnom(); // возвращает значение знам 
	
	

}
;
